@import "../../global.scss";

.popup {
  margin: $med-mg auto;
  padding: $med-mg;
  position: relative;
  display: block;
  width: $module-width;
  border-radius: $column-gap;
  background: $very-light-grey;
  box-shadow: $big-shadow;
  z-index: 2;
  .header {
    border: 2px solid $blue;
    padding: $sml-mg;
    border-radius: $column-gap;
    text-align: center;
    background: $blue;
    p {
      color: white;
    }
  }
}
.bg {
  background-color: $dark-grey;
  z-index: 1;
  opacity: 0.8;
  left: 0;
  top: 0;
  display: block;
  position: fixed;
  width: 100vw;
  height: 100vh;
}

.field {
  display: flex;
  justify-content: space-between;
  margin: $big-mg 0;
  align-items: center;
  &:first-child {
    margin-top: $med-mg;
  }
  .label {
    display: inline-block;
  }
  .input[type="checkbox"] {
    //   transform: scale(2,2)
  }
  .input {
    display: inline-block;
    padding: 2px $sml-mg;
    border: 2px solid $light-grey;
    border-radius: $column-gap;
    color: $med-grey;
    background: none;
    transition: all 0.1s ease;

    &:focus:not([type="checkbox"]),
    &:hover:not([type="checkbox"]) {
      outline: 0;
      border-color: $blue;
      color: $blue;
      transform: translateY(-2px);
      //   box-shadow: $sml-shadow;
      background: white;
    }
    &:focus:not([type="checkbox"]) {
      box-shadow: 0px 0px 4px 2px $blue;
      transition: box-shadow 0.3s ease;
    }
  }
}

.button {
  text-align: center;
  button {
    padding: $sml-mg $large-mg;
  }
}
